[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH] byhand-di: allow YYYYMMDD+<suite>x version numbers



stable updates need to have a higher version than binNMUs, but
YYYYMMDD<suite>x << YYYYMMDD+b1.

Signed-off-by: Julien Cristau <jcristau@debian.org>
Cc: Otavio Salvador <otavio@ossystems.com.br>
---
 scripts/debian/byhand-di |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/debian/byhand-di b/scripts/debian/byhand-di
index 9e1b051..99cb313 100755
--- a/scripts/debian/byhand-di
+++ b/scripts/debian/byhand-di
@@ -19,8 +19,8 @@ error() {
 }
 
 # Check validity of version number
-# Expected are: YYYYMMDD, YYYYMMDD.x, YYYYMMDD<suite>x and the +b[0-9] on the end
-if ! echo "$VERSION" | grep -Eq "^[0-9]{8}(|(\.|[a-z]+)[0-9]+)(\+b[0-9])?$"; then
+# Expected are: YYYYMMDD, YYYYMMDD.x, YYYYMMDD<suite>x, YYYYMMDD+<suite>x and the +b[0-9] on the end
+if ! echo "$VERSION" | grep -Eq "^[0-9]{8}(|(\.|\+?[a-z]+)[0-9]+)(\+b[0-9])?$"; then
 	error "Invalid version: '$VERSION'"
 fi
 
-- 
1.7.2.5


Reply to: